Jump to content
thothongcong

[Plz Help] how to make new object in autocad!!!

Recommended Posts

thothongcong

i have 2 picture:

pic N.1: i select object and press Ctrl +1 ( tad property) show is : "No Selection" ????:unsure::unsure::unsure:

pic N.2 : i copy it and use command Explore -----> in tab property it is : Polyline

how to make it???by .net or VBA

i know a little .net and Vba, can i use to make same thing???

Tks a lot

P/s: sorry about my English:oops::oops::oops:

1.jpg

2.jpg

Share this post


Link to post
Share on other sites
BIGAL

An example for you in lisp it uses the left right up down to draw a pline

 

eg R100 U100 L100 C draws a 100 box

 

; draw a pline by direction Up Down left or Right use upper or lowercase
; by Alan H dec 2015
; this version is a metric/decimal version
; version 2 depending on request will be a imperial version
; 1'8 1/4" input d1.8.25 start with 1.8 = 1'8" then add second fraction ver 3

; how to use u123.45 D34.57 R102.6 l53

(defun ah:left ( / pt2)
(setq pt2 (polar pt pi (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun ah:up ( / pt2)
(setq pt2 (polar pt (/ pi 2.0) (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun ah:right ( / pt2)
(setq pt2 (polar pt 0.0 (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun ah:down ( / pt2)
(setq pt2 (polar pt (* 1.5 pi) (atof (substr ans 2 (- (strlen ans) 1)))))
(setq pt pt2)
(command pt2)
)

(defun C:ahpliner ( / pt ans)

(command "_pline")
(command (setq pt (getpoint "Pick start point - Enter or C to finish")))
(while (= (getvar "cmdactive") 1 ) 
(setq ans (getstring "Enter L123 U456 R67 D78"))
(cond ((= ans "")(command ""))
     ((= "L"(strcase (substr ans 1 1)))(ah:left))
     ((= "U"(strcase (substr ans 1 1)))(ah:up))
     ((= "D"(strcase (substr ans 1 1)))(ah:down))
     ((= "R"(strcase (substr ans 1 1)))(ah:right))
     ((= "C"(strcase (substr ans 1 1)))(command "close"))
) ;cond
) ; while
)

Share this post


Link to post
Share on other sites
thothongcong

tks BIGAL.

but it's wrong i can draw pline by .net very simple

i mean make a pline and pline's property show is "no selection"

:shock::shock::shock:

Share this post


Link to post
Share on other sites
Hippe013

It is just a bug when you have something selected and you open the properties palette and it says "no selection". You cannot make a pline's property show "no selection".

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×